<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{248,94,556,480}</property>
    <property name="Name">[hc_rectv.tel]</property>
    <property name="Caption">[Solicitacao/Cadastro de O.S.]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">{modus,osoSaycodassunto,osoSayfvendedor}</property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
//skel VARIAVEL zRecnoOs := 0
//skel VARIAVEL Zcrnome := sccrcli->cr_nome
//skel COMANDO ANTES zIdOs := if(x_operacao=1,(DbGoBottom(),IdOs+1),IdOs)
//skel COMANDO ANTES znil := if(select("HC_MOTLG")=0,(Abra_Arq("HC_MOTLG"),DbSelectArea("HC_RETDI")),"")
//skel COMANDO ANTES M_CR_COD_CLI := SCCRCLI->(RECNO())
//skel COMANDO ANTES M_CR_NOME := PAD(SCCRCLI->CR_CONTATO, LEN(M_CR_NOME))
//skel COMANDO ANTES M_DATA := date()
//skel COMANDO ANTES M_hora := time()
//skel COMANDO ANTES m_idoperador := sys_usuario
//skel COMANDO DEPOIS #TEXTO_FONTE
//skel    REGLOCK()
//skel    PUT_VAR("idos",zIdOs)
//skel    PUT_VAR("DATA",date())
//skel    PUT_VAR("HORA",time())
//skel    PUT_VAR("SITUACAO",1)
//skel    DBCOMMIT()
//skel    Alert("OS Gravada com Numero "+Str(zIdOs),,"B/W")
//skel #FIM_TEXTO_FONTE
//skel COMANDO SAIDA znil = If( Select("HC_MOTLG")>0, HC_MOTLG->(DBCLOSEAREA()) ,"")
SET(5,1960) ]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{7,438,525,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{7,3,525,390}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="editbox">
      <style>
        <property name="Geometry">{462,23,63,18}</property>
        <property name="Name">[oidOperador]</property>
        <property name="varName">[m_idOperador]</property>
        <property name="nMaxLength">8</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{182,63,343,18}</property>
        <property name="Name">[oCR_nome]</property>
        <property name="varName">[m_CR_nome]</property>
        <property name="nMaxLength">30</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">1</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,23,439,16}</property>
        <property name="Name">[oSay0001]</property>
        <property name="Caption">
[(&quot;OS N:&quot;+str(zIdOs,6)+&quot;   Dt/Hora: &quot;+dtoc(M_DATA)+&quot; &quot;+M_hora )]        </property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{112,43,49,18}</property>
        <property name="Name">[oCR_COD_CLI]</property>
        <property name="varName">[m_CR_COD_CLI]</property>
        <property name="nMaxLength">6</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[.f.]]>
      </method>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{112,103,28,18}</property>
        <property name="Name">[ocodassunto]</property>
        <property name="varName">[m_codassunto]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">2</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('HC_MOTLG','PHCMOTLG','M_CODASSUNTO','N','N',8,39,'ASSUNTO','@S30','',,ocodassunto,osoSaycodassunto)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{112,370,410,16}</property>
        <property name="Name">[oLabel1]</property>
        <property name="Caption">
[Alt+O  Confirma Digitacao         Ctrl+Enter: Nova Linha]        </property>
        <property name="AutoSize">.T.</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">2</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,43,91,16}</property>
        <property name="Name">[oSayCR_COD_CLI]</property>
        <property name="Caption">[Cliente....:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">3</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{112,123,415,18}</property>
        <property name="Name">[oAssunto]</property>
        <property name="varName">[m_Assunto]</property>
        <property name="nMaxLength">60</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">3</property>
      </style>
      <method name="onGetFocus">
        <![CDATA[(m_assunto:=if(empty(m_assunto),hc_motlg->Assunto,m_assunto),RefreshGetList())]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{182,43,341,16}</property>
        <property name="Name">[oSay0005]</property>
        <property name="Caption">[(zcrnome)]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">4</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{112,143,28,18}</property>
        <property name="Name">[ofvendedor]</property>
        <property name="varName">[m_fvendedor]</property>
        <property name="nMaxLength">3</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">4</property>
      </style>
      <method name="onLostFocus">
        <![CDATA[PSQ_BROW('SF_VEND','PSFVEND','M_FVENDEDOR','N','N',10,32,'NOME','@S30','',,ofvendedor,osoSayfvendedor).and.(M_FVENDRETOR:=M_FVENDEDOR,.t.)]]>
      </method>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,63,161,16}</property>
        <property name="Name">[oSayCR_nome]</property>
        <property name="Caption">[Quem Falou no Cliente:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="editbox">
      <style>
        <property name="Geometry">{112,183,410,185}</property>
        <property name="Name">[oCR_OBS]</property>
        <property name="varName">[m_CR_OBS]</property>
        <property name="Multiline">.T.</property>
        <property name="nMaxLength">10</property>
        <property name="3DLook">.T.</property>
        <property name="TabIndex">5</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,103,91,16}</property>
        <property name="Name">[oSaycodassunto]</property>
        <property name="Caption">[Cod.Assunto:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">6</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,123,91,16}</property>
        <property name="Name">[oSayAssunto]</property>
        <property name="Caption">[Assunto....:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">7</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,143,91,16}</property>
        <property name="Name">[oSayfvendedor]</property>
        <property name="Caption">[Cod.Suporte:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">8</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{21,183,91,16}</property>
        <property name="Name">[oSayCR_OBS]</property>
        <property name="Caption">[Solicitacao:]</property>
        <property name="BackColor">16777215</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="TabIndex">9</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{161,103,364,16}</property>
        <property name="Name">[osoSaycodassunto]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">10</property>
      </style>
    </part>
    <part class="label">
      <style>
        <property name="Geometry">{161,143,364,16}</property>
        <property name="Name">[osoSayfvendedor]</property>
        <property name="Caption">[...]</property>
        <property name="font">
          <font name="Courier New" width="0" height="-12" weight="700"/>
        </property>
        <property name="Border">.T.</property>
        <property name="TabIndex">11</property>
      </style>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{142,103,16,16}</property>
        <property name="Name">[obocodassunto]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">12</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('HC_MOTLG','PHCMOTLG','M_CODASSUNTO','N','N',8,39,'ASSUNTO','@S30','','EXIBA',ocodassunto,osoSaycodassunto)]]>
      </method>
    </part>
    <part class="ownerbutton">
      <style>
        <property name="Geometry">{142,143,16,16}</property>
        <property name="Name">[obofvendedor]</property>
        <property name="BtnBitmap">[smPreview]</property>
        <property name="lResource">.T.</property>
        <property name="TabIndex">13</property>
      </style>
      <method name="onClick">
        <![CDATA[PSQ_BROW('SF_VEND','PSFVEND','M_FVENDEDOR','N','N',10,32,'NOME','@S30','','EXIBA',ofvendedor,osoSayfvendedor)]]>
      </method>
    </part>
  </part>
  <part class="datepicker">
    <style>
      <property name="Geometry">{214,407,92,18}</property>
      <property name="Name">[oDt_Previst]</property>
      <property name="varName">[m_dt_Previst]</property>
      <property name="3DLook">.T.</property>
      <property name="TabIndex">6</property>
    </style>
  </part>
  <part class="label">
    <style>
      <property name="Geometry">{10,407,192,16}</property>
      <property name="Name">[oLabel2]</property>
      <property name="Caption">[Previsao Retorno/Conclusao:]</property>
      <property name="BackColor">16777215</property>
      <property name="font">
        <font name="Courier New" width="0" height="-12" weight="700"/>
      </property>
      <property name="TabIndex">13</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{382,444,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{462,444,70,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
      <property name="TabStop">.F.</property>
    </style>
  </part>
</part>
